// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdPluginCore",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdPluginCore", targets: ["WebIdPluginCoreWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-ui-components-spm.git",
            .upToNextMinor(from: "7.0.3")
        ),
        .package(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-spm.git",
            .upToNextMinor(from: "11.3.2")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdPluginCore/12.2.0/WebIdPluginCore.framework-v12.2.0-SNAPSHOT-282.zip",
            checksum: "2cdc535a92664b5991d6cc53538574de8ed25af283b0f87b264e817d339a5b4e"
        ),
        .target(
            name: "WebIdPluginCoreWrapper",
            dependencies: [
                .target(name: "WebIdPluginCore"),
                // [target dependecies here]
                
                .product(name: "WebIdUiKitComponents", package: "WebIdUiKitComponents"),
                .product(name: "WebIdIosSdk", package: "WebIdIosSdk"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
